@import 'variables.scss';

.search-page {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: calc(100vh - 108px);
  background: #f8f8f8;

  // style for page
  ul,
  p {
    padding: 0;
    margin: 0;
    list-style-type: none;
  }

  // cover page
  .cover-page {
    width: 915px;
    height: 540px;
    border-radius: 4px;
    background: $white-text-color;
    box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.25);
    position: relative;
  }

  // top page
  .top-page {
    display: flex;
    align-items: center;
    width: 100%;
    height: 60px;
    padding-left: 30px;
    border-bottom: 2px solid #e0e0e0;

    h2 {
      font-size: 18px;
      font-weight: 500;
      color: $black-ui;
      text-transform: capitalize;
    }
  }

  // cover content
  .cover-content {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 396px;

    .detail-content {
      .title-content {
        display: block;
        margin-bottom: 31px;
        font-size: 20px;
        font-weight: 300;
        color: $real-black;
        text-transform: capitalize;
        text-align: center;
      }

      .cover-input {
        width: 386px;
        height: 40px;
        position: relative;

        .click-search {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 40px;
          height: 40px;
          position: absolute;
          top: 0;
          right: 0;

          i {
            font-size: 23px;
          }
        }

        .list-search {
          display: block;
          width: 100%;
          max-height: 170px;
          padding: 10px 0;
          border-radius: 0 0 4px 4px;
          background: $white-text-color;
          box-shadow: 0 2px 5px 1px rgba(0, 0, 0, 0.15);
          overflow: hidden;
          overflow-y: auto;
          position: absolute;
          top: 41px;
          left: 0;
          z-index: 10;

          li {
            width: 100%;
            height: 40px;
            margin-bottom: 10px;
            position: relative;

            &:last-child {
              margin-bottom: 0;
            }

            a {
              display: block;
              width: 100%;
              height: 100%;
              padding-left: 10px;
              text-transform: capitalize;
              position: relative;

              p {
                display: block;
                width: 100%;
                font-size: 14px;
                color: $real-black;

                &.one {
                  font-size: 15px;
                }

                ::ng-deep.highlight {
                  font-weight: bold;
                }
              }

              &:before {
                content: '';
                display: none;
                width: 100%;
                height: 100%;
                background: rgba(0, 110, 210, 0.1);
                position: absolute;
                top: 0;
                left: 0;
              }
            }

            &:hover {
              a {
                &:before {
                  display: block;
                }
              }
            }
          }
        }
      }
    }
  }

  // bottom page
  .bottom-page {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: calc(100% - 60px);
    height: 80px;
    margin: 0 auto;
    border-top: 2px solid #e0e0e0;

    .title-bottom {
      display: block;
      font-size: 20px;
      font-weight: 300;
      color: $real-black;
      text-transform: capitalize;
    }

    // cover btn
    .cover-btn {
      display: flex;
      align-items: center;
      height: 100%;

      .cover-input {
        width: 213px;
        height: 40px;
        margin-right: 10px;
      }

      .btn-new {
        display: flex;
        align-items: center;
        justify-content: center;
        min-width: 124px;
        height: 40px;
        padding: 0;
        font-size: 15px;
        font-weight: bold;
        color: $white-text-color;
        border: none;
        border-radius: 4px;
        background: $primary-color;
        box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
        cursor: pointer;
        text-align: center;

        ::ng-deep.mat-button-wrapper {
          line-height: 40px;
        }
      }
    }
  }

  input {
    width: 100%;
    height: 100%;
    font-size: 14px;
    font-weight: 500;
    color: $gray-darker;
    border: none;
    outline: none;
    background: transparent;

    &::-webkit-input-placeholder {
      color: rgba(98, 111, 134, 0.5);
    }

    &::-moz-placeholder {
      color: rgba(98, 111, 134, 0.5);
    }

    &:-ms-input-placeholder {
      color: rgba(98, 111, 134, 0.5);
    }
  }

  // style for input
  ::ng-deepmat-form-field {
    width: 100%;
    height: 100%;
    margin: 0;

    &.input-page {
      .mat-form-field-wrapper {
        .mat-form-field-flex {
          padding-right: 54px;
        }
      }
    }

    .mat-form-field-wrapper {
      height: 100%;
      padding-bottom: 0;
      margin: 0;

      .mat-form-field-flex {
        height: 100%;
        margin: 0;

        .mat-form-field-infix {
          height: 100%;
          display: flex;
          align-items: center;
          background-color: transparent;
          border: none;
          border-radius: 0;
          box-shadow: none;
          padding: 0 !important;
        }
      }
    }

    .mat-form-field-underline {
      display: none;
    }
  }

  ::ng-deep.mat-form-field-appearance-outline {
    .mat-form-field-outline {
      top: 0;
    }
  }

  ::ng-deep.input-container.mat-form-field-appearance-outline.error {
    div {
      border-color: red;
    }
  }
}
